Package com.xebialabs.xlrelease.domain

## Class RemoteScriptExecution

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.RemoteScriptExecution

- All Implemented Interfaces:
    `ConfigurationItem`, `RemoteExecution`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(label="Generic remote script execution",
                versioned=false,
                virtual=true)
      public class RemoteScriptExecution
      extends BaseConfigurationItem
      implements RemoteExecution

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RemoteScriptExecution()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getAbortTimeout()` |
    `java.util.Set<java.lang.String>` | `getCapabilities()` |
    `java.lang.String` | `getImage()` |
    `java.lang.Integer` | `getMaxRetryAttempts()` |
    `java.lang.Integer` | `getRetryDelay()` |
    `java.lang.String` | `getStatusLine()` |
    `void` | `setCapabilities​(java.util.Set<java.lang.String> capabilities)` |
    `void` | `setStatusLine​(java.lang.String statusLine)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Constructor Detail

    - #### RemoteScriptExecution

          public RemoteScriptExecution()

  - ### Method Detail

    - #### getCapabilities

          public java.util.Set<java.lang.String> getCapabilities()

    - #### setCapabilities

          public void setCapabilities​(java.util.Set<java.lang.String> capabilities)

    - #### getImage

          public java.lang.String getImage()

      Specified by:
        `getImage` in interface `RemoteExecution`

    - #### getAbortTimeout

          public java.lang.Integer getAbortTimeout()

      Specified by:
        `getAbortTimeout` in interface `RemoteExecution`

    - #### getMaxRetryAttempts

          public java.lang.Integer getMaxRetryAttempts()

      Specified by:
        `getMaxRetryAttempts` in interface `RemoteExecution`

    - #### getRetryDelay

          public java.lang.Integer getRetryDelay()

      Specified by:
        `getRetryDelay` in interface `RemoteExecution`

    - #### getStatusLine

          public java.lang.String getStatusLine()

    - #### setStatusLine

          public void setStatusLine​(java.lang.String statusLine)